# Copyright salsa-ci-team and others
# SPDX-License-Identifier: FSFAP
# Copying and distribution of this file, with or without modification, are
# permitted in any medium without royalty provided the copyright notice and
# this notice are preserved. This file is offered as-is, without any warranty.

include:
    - 'https://salsa.debian.org/salsa-ci-team/pipeline/raw/master/atomic-reprotest.yml'

extract-source:
    extends: .provisioning-extract-source

build:
    extends: .build-package

build i386:
    extends: .build-package-i386

build source:
    extends: .build-source-only

test-build-any:
    extends: .test-build-package-any

test-build-all:
    extends: .test-build-package-all

reprotest:
    extends: .test-reprotest

lintian:
    extends: .test-lintian

autopkgtest:
    extends: .test-autopkgtest

blhc:
    extends: .test-blhc

piuparts:
    extends: .test-piuparts

missing-breaks:
    extends: .test-missing-breaks

rc-bugs:
    extends: .test-rc-bugs

aptly:
    extends: .publish-aptly
